Bug 224405 - www/payara: Port update to 4.1.2.173
Summary: www/payara: Port update to 4.1.2.173
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-17 18:10 UTC by Dmytro Bilokha
Modified: 2018-05-24 20:51 UTC (History)
3 users (show)

See Also:


Attachments
Diff file for www/payara update, should be applied from ports root dir (39.34 KB, patch)
2017-12-17 18:10 UTC, Dmytro Bilokha
no flags Details | Diff
Updated patch for www/payara port (39.44 KB, patch)
2018-03-21 19:19 UTC, Dmytro Bilokha
no flags Details | Diff
Updated (2) patch for www/payara port (39.57 KB, patch)
2018-05-09 12:52 UTC, Dmytro Bilokha
dmytro: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmytro Bilokha 2017-12-17 18:10:33 UTC
Created attachment 188916 [details]
Diff file for www/payara update, should be applied from ports root dir

Please, check and commit changes from the attached .diff. The diff contains changes to update www/payara port version.
It should be applied from the ports root, because contains changes in the UIDs and GIDs.
Comment 1 Thomas Zander freebsd_committer 2018-03-18 18:51:29 UTC
Can you look at these:

====> Running Q/A tests (stage-qa)
Warning: Bad symlink '/usr/local/payara-4.1.2.173/glassfish/domains' pointing to an absolute pathname '/var/payara/payara-4.1.2.173/domains'
Warning: Bad symlink '/usr/local/payara-4.1.2.173/glassfish/lib/registration' pointing to an absolute pathname '/var/payara/payara-4.1.2.173/registration'
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir %%VARDIR%%
Error: Orphaned: @dir /var/payara
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/www/payara
Comment 2 Dmytro Bilokha 2018-03-21 19:19:42 UTC
Created attachment 191716 [details]
Updated patch for www/payara port
Comment 3 Dmytro Bilokha 2018-03-21 19:22:11 UTC
(In reply to Thomas Zander from comment #1)
Sorry, I should run these checks by myself before submitting the patch.
Please, check the new diff file attached to the PR. I've executed make check-orphans and make stage-qa. Everything seems to be fine.
Comment 4 Dmytro Bilokha 2018-05-09 12:52:27 UTC
Created attachment 193206 [details]
Updated (2) patch for www/payara port

Updated patch, because UID/GIDs have been taken by another port during waiting for commit.
Comment 5 Kurt Jaeger freebsd_committer 2018-05-10 06:59:14 UTC
testbuilds on 12a, 11.1a, 10.4i are all OK
Comment 6 commit-hook freebsd_committer 2018-05-24 20:50:07 UTC
A commit references this bug:

Author: rodrigo
Date: Thu May 24 20:49:49 UTC 2018
New revision: 470810
URL: https://svnweb.freebsd.org/changeset/ports/470810

Log:
  Update www/payara from 4.1.1.163 to 4.1.2.173
  Add a user and group to run the server

  Full release note :
  https://docs.payara.fish/release-notes/release-notes-173.html

  PR:		224405
  Submitted by:	Dmytro Bilokha <dmytro@posteo.net> (maintainer)

Changes:
  head/GIDs
  head/UIDs
  head/www/payara/Makefile
  head/www/payara/distinfo
  head/www/payara/files/payara.in
  head/www/payara/pkg-message
  head/www/payara/pkg-plist
Comment 7 Rodrigo Osorio freebsd_committer 2018-05-24 20:51:13 UTC
Sorry for the delay.
Committed with minor changes, thanks